empire-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vladimir Lahoda (JIRA)" <empire-db-...@incubator.apache.org>
Subject [jira] [Created] (EMPIREDB-241) Error in lower() implementation for PostgreSQL
Date Mon, 09 May 2016 13:25:12 GMT
Vladimir Lahoda created EMPIREDB-241:
----------------------------------------

             Summary: Error in lower() implementation for PostgreSQL
                 Key: EMPIREDB-241
                 URL: https://issues.apache.org/jira/browse/EMPIREDB-241
             Project: Empire-DB
          Issue Type: Bug
          Components: Core
    Affects Versions: empire-db-2.4.4
            Reporter: Vladimir Lahoda


The function lower() is not properly supported for PostgreSQL. The following patch for DBDatabaseDriverPostgreSQL
solves the problem:

===================================================================
--- empire-db/src/main/java/org/apache/empire/db/postgresql/DBDatabaseDriverPostgreSQL.java
(revision a812088bc78f7d98d19842d6abe0f4a7727deb83)
+++ empire-db/src/main/java/org/apache/empire/db/postgresql/DBDatabaseDriverPostgreSQL.java
(revision )
@@ -348,7 +348,7 @@
             case SQL_FUNC_STRINDEXFROM:       return "strindexfrom_not_available_in_pgsql({0},
?, {1})"; // "locate({0}, ?, {1})"; 
             case SQL_FUNC_LENGTH:             return "length(?)";
             case SQL_FUNC_UPPER:              return "upper(?)";
-            case SQL_FUNC_LOWER:              return "lcase(?)";
+            case SQL_FUNC_LOWER:              return "lower(?)";
             case SQL_FUNC_TRIM:               return "trim(?)";
             case SQL_FUNC_LTRIM:              return "ltrim(?)";
             case SQL_FUNC_RTRIM:              return "rtrim(?)";




--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message